Complete Single Record Workflow Task
Complete an open workflow task for a workflow configured for a single record. This endpoint does not support initiating task actions requiring eSignatures (where esignature is true).
/api/{version}/objects/objectworkflows/tasks/{task_id}/actions/completeHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{task_id} | The task id field value. |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
entrycriteria | Set to true to receive a structured evaluation of entry criteria violations in the response. If omitted, defaults to false. Learn more about the entry criteria evaluation response. |
Body Parameters
Section link for Body ParametersControls with required=true in the Retrieve Workflow Task Action Details response must be provided. If a control (such as verdict) defines a set of required fields, those must also be provided. For example, a specific verdict may prompt for comments, reasons, or capacities.
This request may require the following body parameters:
| Name | Description |
|---|---|
verdict_public_key__cconditional | The verdict name. Retrieve possible verdict name values by sending a request to Retrieve Workflow Task Action Details. |
reason__cconditional | The reason name. Retrieve possible reason name values by sending a request to Retrieve Workflow Task Action Details. |
capacity__cconditional | The capacity name. Retrieve possible capacity name values by sending a request to Retrieve Workflow Task Action Details. |
Request
Section link for Requestcurl -X POST -H "Authorization: {AUTH_VALUE}" \
-H "Accept: application/json" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d 'verdict_not_approved_comment__c=Can'\''t approve this batch.' \
-d 'verdict_public_key__c=verdict_not_approved__c'
https://myvault.veevavault.com/api/v26.3/objects/objectworkflows/tasks/9201/actions/completeResponse
Section link for Response{
"responseStatus": "SUCCESS"
}Request: Entry Criteria Evaluation
Section link for Request: Entry Criteria Evaluationcurl -X POST -H "Authorization: {AUTH_VALUE}" \
https://myvault.veevavault.com/api/v26.3/objects/objectworkflows/tasks/9201/actions/complete?entrycriteria=trueResponse: Entry Criteria Evaluation
Section link for Response: Entry Criteria Evaluation{
"responseStatus": "FAILURE",
"errors": [
{
"type": "OPERATION_NOT_ALLOWED",
"message": "Record cannot be updated: Entry criteria requirement for state [in_review_state__c] failed : Payment Terms required before approving this contract"
}
],
"source_context": {
"is_nested": false,
"type": "document",
"document_id": 100,
"minor_version_number__v": 0,
"major_version_number__v": 1,
"lifecycle": "contract_management_lifecycle__c",
"target_state": "in_review_state__c"
},
"entry_criteria": [
{
"type": "field",
"message": "Payment Terms required before approving this contract.",
"field": {
"name": "payment_terms__c",
"url": "/api/v26.3/metadata/objects/documents/properties"
}
},
{
"type": "message",
"message": "Formula must be TRUE."
}
]
}Response Details
Section link for Response DetailsOn SUCCESS, Vault completes the workflow task on behalf of the authenticated user.
If the request results in FAILURE due to unmet entry criteria and entrycriteria=true, the response includes a structured evaluation of entry criteria violations for that record. Learn more about the entry criteria evaluation response.